FROM docker.io/alpine:edge

ARG JDK=openjdk17-jdk
ENV JDK=$JDK

RUN apk --no-cache add build-base ${JDK} wget bash apache-ant git

COPY . /opt/lwjgl2

WORKDIR /opt/lwjgl2

RUN ant generate-all
RUN ant compile
RUN ant compile_native

